%bcond_with doc_files

Summary:        Python 3 Bindings for the NVIDIA Management Library
Name:           python-py3nvml
Version:        0.2.7
Release:        7%{?dist}
License:        BSD
URL:            https://github.com/fbcotter/py3nvml
Source0:        %{url}/archive/%{version}/py3nvml-%{version}.tar.gz

BuildRequires:  python3-devel python3dist(setuptools)

BuildArch:      noarch

%description 
Python 3 compatible bindings to the NVIDIA Management Library. This package can be used to 
query the status of the gpu on your system.

%package -n     python3-py3nvml
Summary:        %{summary}
%if %{with doc_files}
BuildRequires:  python3dist(sphinx) python3dist(sphinx-rtd-theme)
%endif
Requires:       python3dist(xmltodict)
Provides:       python3-py3nvml = %{version}-%{release}

%description -n python3-py3nvml 
Python 3 compatible bindings to the NVIDIA Management Library. This package can be used to 
query the status of the gpu on your system.


%prep
%autosetup -n py3nvml-%{version}

rm -rf py3nvml.egg-info


%build
%py3_build

%if %{with doc_files}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif


%install
%py3_install


%files -n python3-py3nvml
%license LICENSE
%doc README.rst 
%if %{with doc_files}
%doc html
%endif
%{_bindir}/py3smi
%{python3_sitelib}/py3nvml-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/py3nvml/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 0.2.7-1
- package init.
